package uk.ac.vamsas.client;

/**
 * Holds information about Vobj instances that is held over between different writes to the document.
 * Currently records the LhashValue obtained from Vobject
 * @author JimP
 *
 */
public class Vobjhash {
  long hashvalue;
  /**
   * creates a record of the hash value for a vamsas document object
   * @param tobemarshalled
   */
  public Vobjhash(Vobject tobemarshalled) {
    hashvalue = tobemarshalled.__getLHash();
  }
  /**
   * compares the old hash value with the unmarshalled object's most recently computed hash value and updates internal record.
   * @param unmarshalled
   * @return true if the hash values differ
   */
  public boolean isUpdated(Vobject unmarshalled) {
    long oldhash = hashvalue;
    hashvalue=unmarshalled.__getLHash();
    return oldhash!=hashvalue;
  }
}
